#ifdef ASURA_USE_PRAGMA_ONCE
    #pragma once
#endif

#ifndef __TOOLS_MODULE_ELEMENT_H__
#define __TOOLS_MODULE_ELEMENT_H__

/*
Class for finding out all the polygons in an element fora module
Used by the polygon selection code
*/

class Tools_Module_Elements
{
	public :
		Tools_Module_Elements(int module_index);
		~Tools_Module_Elements();

		//returns the next polygon index in the element
		//cycles round , so it is necessary to keep track of when you
		//have got back to the start
		int GetNextPolygonInElement(int poly_index);

		void Reset();

	private :
		int ModuleIndex;
		int NumPolygons;
		int* ElementArray;

		void CalculateElements();
	
};


#endif //__TOOLS_MODULE_ELEMENT_H__
